Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.sessions.latency.getById({
sessionId: "<id>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.sessions.latency.get_by_id(session_id="<id>")
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/sessions/latency/{session_id} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/sessions/latency/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"timeline": [
{
"timestamp": "2023-11-07T05:31:56Z",
"measurement_start": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": 123,
"value_str": "<string>",
"time_delta": "<string>",
"metadata": [
"<string>"
]
}
],
"summary": [
{
"event_count": 123,
"sum_ms": 123,
"sum_str": "<string>",
"average_ms": 123,
"average_str": "<string>",
"sub_category": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}sessions.latency
Inspect Latency For Session
GET
/
api
/
v1
/
sessions
/
latency
/
{session_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.sessions.latency.getById({
sessionId: "<id>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.sessions.latency.get_by_id(session_id="<id>")
# Handle response
print(res)Authorizations
Path Parameters
Response
Successful Response
This is a report of the time spent in each operation during this session. It contains a timeline, which lists the operations in the order they were executed, and a summary, which aggregates the operations by category and sub-category.
⌘I

